> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete currency pair



## OpenAPI

````yaml Wallet delete /currency-pairs/{currencyPairId}
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /currency-pairs/{currencyPairId}:
    delete:
      tags:
        - Currency Pairs
      summary: Delete currency pair
      operationId: CurrencyPairController_deleteCurrencyPair
      parameters:
        - name: tenantId
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: currencyPairId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: Deleted currency pair
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyPairDto'
      security:
        - default: []
components:
  schemas:
    CurrencyPairDto:
      required:
        - baseCurrency
        - baseCurrencyId
        - id
        - pair
        - quoteCurrency
        - quoteCurrencyId
      type: object
      properties:
        id:
          type: string
        baseCurrency:
          type: string
        quoteCurrency:
          type: string
        pair:
          type: string
        baseCurrencyId:
          type: string
        quoteCurrencyId:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````